package main

import (
	"fmt"
	"time"
	"strings"
	"io/ioutil"
	"net/http"
)

func get(url string) {
    var netClient = &http.Client{
	  Timeout: time.Second * 10,
	}

	rs, err := netClient.Get(url)
	if err != nil {
		panic(err)
	}
		
	defer rs.Body.Close()
	
	bodyBytes, err := ioutil.ReadAll(rs.Body)
	if err != nil {
		panic(err)
	}
	
	body := strings.Split(string(bodyBytes), "\n")
	
	for _, line := range body {
		if (strings.Contains(line, "<title>")) {
			fmt.Printf("[%s]  %s\n", url, line)
			break
		}
	}
}

func main() {
    fmt.Printf("hello, world\n")
    get("http://ocv.me/")
    get("https://ocv.me/")
	fmt.Printf("eof\n")
}
